<?php

namespace App\Filament\Admin\Resources\PackingSlipResource\Pages;

use App\Enums\IconEnum;
use App\Filament\Admin\Resources\PackingSlipResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class ListPackingSlips extends ListRecords
{
    protected static string $resource = PackingSlipResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->icon(IconEnum::NEW->value),
        ];
    }
}
